package state

type PaymentState string

const (
	// initial state
	StateInitialized PaymentState = "initialized"

	// state on response
	StateAccepted               PaymentState = "accepted"
	StateError                  PaymentState = "error"
	StateCanceledInitialization PaymentState = "canceled_initialization"

	// state after confirmation
	StateCompleted PaymentState = "completed"
	StateVoided    PaymentState = "voided"
	StateCanceled  PaymentState = "canceled"
)

type PaymentGateway string

const (
	GatewayWsPay      PaymentGateway = "wspay"
	GatewayStripe     PaymentGateway = "stripe"
	GatewayVivaWallet PaymentGateway = "viva-wallet"
)
